<template>
	<view >
		<canvas canvas-id="canvas" 
		@touchstart="touchstart" 
		@touchmove="touchmove" 
		@touchend="touchend" 
		style="width: 750rpx; height: 600rpx;"></canvas>
	</view>
</template>

<script>
	import canvas from '@/components/curve-charts/canvas.js';
	import option from '@/components/curve-charts/datas.js'
	export default {
		data() {
			return {
				cWidth: 0,
				cHeight: 0
			}
		},
		onLoad() {
			
		},
		onReady() {
			let width = this.cWidth = uni.upx2px(750);
			let height = this.cHeight = uni.upx2px(600);
			let context = uni.createCanvasContext('canvas', this)
			this.ctx = new this.canvasDraw({context,width,height}, option);
		},
		methods: {
			...canvas,
			
		}
	}
</script>

<style>
	.content {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
	}

	.logo {
		height: 200rpx;
		width: 200rpx;
		margin-top: 200rpx;
		margin-left: auto;
		margin-right: auto;
		margin-bottom: 50rpx;
	}

	.text-area {
		display: flex;
		justify-content: center;
	}

	.title {
		font-size: 36rpx;
		color: #8f8f94;
	}
</style>
